{

Fast Memory Manager: Messages

Portuguese translation by Carlos Mao (Carlos.Macao@gmail.com).

}

unit FastMM4Messages;

interface

{$Include FastMM4Options.inc}

const
  {The name of the debug info support DLL}
  FullDebugModeLibraryName = 'FastMM_FullDebugMode.dll';
  {Event log strings}
  LogFileExtension = '_MemoryManager_EventosLog.txt'#0;
  CRLF = #13#10;
  EventSeparator = '--------------------------------';
  {Class name messages}
  UnknownClassNameMsg = 'Desconhecida';
  {Memory dump message}
  MemoryDumpMsg = #13#10#13#10'O Dump de memria actual de 256 bytes tem inicio no endereo ';
  {Block Error Messages}
  BlockScanLogHeader = 'Bloco atribudo registado por LogAllocatedBlocksToFile. O Tamanho : ';
  ErrorMsgHeader = 'FastMM detectou um erro durante ';
  GetMemMsg = 'GetMem';
  FreeMemMsg = 'FreeMem';
  ReallocMemMsg = 'ReallocMem';
  BlockCheckMsg = 'procura de bloco livre';
  OperationMsg = ' operao. ';
  BlockHeaderCorruptedMsg = 'O cabealho do bloco foi corrompido. ';
  BlockFooterCorruptedMsg = 'O rodap do bloco foi corrompido. ';
  FreeModifiedErrorMsg = 'FastMM detectou que um bloco de memria foi modificado aps ter sido libertado. ';
  FreeModifiedDetailMsg = #13#10#13#10'Modified byte offsets (and lengths): ';
  DoubleFreeErrorMsg = 'Foi feita uma tentativa para libertar/atribuir um bloco no atribuido.';
  WrongMMFreeErrorMsg = 'An attempt has been made to free/reallocate a block that was allocated through a different FastMM instance. Check your memory manager sharing settings.';
  PreviousBlockSizeMsg = #13#10#13#10'O tamanho anterior do bloco era: ';
  CurrentBlockSizeMsg = #13#10#13#10'O tamanho do bloco : ';
  PreviousObjectClassMsg = #13#10#13#10'O bloco foi usado anteriormente por um objecto da classe: ';
  CurrentObjectClassMsg = #13#10#13#10'O bloco est sendo usado por um objecto da classe: ';
  PreviousAllocationGroupMsg = #13#10#13#10'O grupo de atribuio era: ';
  PreviousAllocationNumberMsg = #13#10#13#10'O nmero de atribuio era: ';
  CurrentAllocationGroupMsg = #13#10#13#10'O grupo de atribuio : ';
  CurrentAllocationNumberMsg = #13#10#13#10'O nmero de atribuio era: ';
  BlockErrorMsgTitle = 'Erro de memria detectado';
  VirtualMethodErrorHeader = 'FastMM detectou uma tentativa de chamada a um mtodo virtual de um objecto libertado. Uma violao de acesso ser iniciada para abortar a operao corrente.';
  InterfaceErrorHeader = 'FastMM detectou uma tentativa de uso de uma interface de um objecto libertado. Uma violao de acesso ser iniciada para abortar a operao corrente.';
  BlockHeaderCorruptedNoHistoryMsg = ' Infelizmente o cabealho do bloco foi corrompido e o histrico no est disponvel.';
  FreedObjectClassMsg = #13#10#13#10'Classe do objecto libertado: ';
  VirtualMethodName = #13#10#13#10'Mtodo virtual: ';
  VirtualMethodOffset = 'Deslocamento +';
  VirtualMethodAddress = #13#10#13#10'Endereo do mtodo virtual: ';
  {Stack trace messages}
  CurrentThreadIDMsg = #13#10#13#10'O ID da thread actual  0x';
  CurrentStackTraceMsg = ', e a anlise da pilha interna (endereos de retorno) que conduziram a este erro :';
  ThreadIDPrevAllocMsg = #13#10#13#10'Este bloco foi prviamente criado pela thread 0x';
  ThreadIDAtAllocMsg = #13#10#13#10'Este bloco foi criado pela thread 0x';
  ThreadIDAtFreeMsg = #13#10#13#10'Este bloco foi prviamente libertado pela thread 0x';
  ThreadIDAtObjectAllocMsg = #13#10#13#10'O objecto foi criado pela thread 0x';
  ThreadIDAtObjectFreeMsg = #13#10#13#10'O objecto foi posteriormente libertado pela thread 0x';
  StackTraceMsg = ', e a anlise da pilha interna (endereos de retorno) nesse momento era:';
  {Installation Messages}
  AlreadyInstalledMsg = 'FastMM4 j se encontra instalado.';
  AlreadyInstalledTitle = 'J se encontra instalado.';
  OtherMMInstalledMsg = 'FastMM4 no pde ser instalado j que outro gestor '
    + 'de memria externo j foi instalado.'#13#10'Se voc quer usar o FastMM4, '
    + 'garanta que a unit FastMM4.pas  a primeira na seco "uses"'
    + #13#10'do ficheiro .dpr do seu projecto.';
  OtherMMInstalledTitle = 'Impossvel instalar FastMM4 - Outro gestor de memria j se encontra instalado';
  MemoryAllocatedMsg = 'O FastMM4 no pode ser instalado j que a memria j foi '
    + 'atribuida atravs do gestor de memria padro.'#13#10'FastMM4.pas DEVE '
    + 'ser a primeira unit no arquivo .dpr do seu projecto, caso contrrio a memria pode '
    + 'ser atribuida'#13#10'atravs do gestor de memria padro antes que o FastMM '
    + 'obtenha o controle. '#13#10#13#10'Se voc estiver usando um interceptador de excepes '
    + 'como MadExcept (ou qualquer outra ferramenta que modifica a ordem de inicializao da '
    + 'unit),'#13#10'v para sua pgina de configurao e assegure-se que a unit '
    + 'FastMM4.pas '' inicializada antes de qualquer outra unit.';
  MemoryAllocatedTitle = 'Impossvel instalar FastMM4 - A memria j foi atribuida';
  {Leak checking messages}
  LeakLogHeader = 'Um bloco de memria no foi libertado. O tamanho : ';
  LeakMessageHeader = 'Esta aplicao teve fugas de memria. ';
  SmallLeakDetail = 'As fugas dos blocos pequenos so'
{$ifdef HideExpectedLeaksRegisteredByPointer}
    + ' (excluindo as fugas esperadas, registadas por ponteiro)'
{$endif}
    + ':'#13#10;
  LargeLeakDetail = 'O tamanho das fugas dos blocos mdios e grandes '
{$ifdef HideExpectedLeaksRegisteredByPointer}
    + ' (excluindo as fugas esperadas registadas por ponteiro)'
{$endif}
    + ': ';
  BytesMessage = ' bytes: ';
  AnsiStringBlockMessage = 'AnsiString';
  UnicodeStringBlockMessage = 'UnicodeString';
  LeakMessageFooter = #13#10
{$ifndef HideMemoryLeakHintMessage}
    + #13#10'Nota: '
  {$ifdef RequireIDEPresenceForLeakReporting}
    + 'Os testes de fugas de memria s sero efectuados se o Delphi estiver activo no mesmo computador. '
  {$endif}
  {$ifdef FullDebugMode}
    {$ifdef LogMemoryLeakDetailToFile}
    + 'O detalhe da fuga de memria foi registado num ficheiro de texto na mesma pasta desta aplicao. '
    {$else}
    + 'Active o DEFINE "LogMemoryLeakDetailToFile" para obter um ficheiro de registos contendo detalhes das fugas de memria. '
    {$endif}
  {$else}
    + 'Para obter um ficheiro de registo contendo detalhes das fugas de memria, active os DEFINES "FullDebugMode" e "LogMemoryLeakDetailToFile". '
  {$endif}
    + 'Para activar a deteco de fugas de memria, active o DEFINE "EnableMemoryLeakReporting".'#13#10
{$endif}
    + #0;
  LeakMessageTitle = 'Fuga de memria detectada';
{$ifdef UseOutputDebugString}
  FastMMInstallMsg = 'FastMM foi instalado.';
  FastMMInstallSharedMsg = 'Partilhando uma instncia j existente do FastMM.';
  FastMMUninstallMsg = 'FastMM foi removido.';
  FastMMUninstallSharedMsg = 'Parando a partilha duma instncia existente do FastMM.';
{$endif}
{$ifdef DetectMMOperationsAfterUninstall}
  InvalidOperationTitle = 'Operao com o gestor de Memria aps a sua remoo.';
  InvalidGetMemMsg = 'FastMM detectou uma chamada a GetMem aps a remoo do FastMM.';
  InvalidFreeMemMsg = 'FastMM detectou uma chamada a FreeMem aps a remoo do FastMM.';
  InvalidReallocMemMsg = 'FastMM detectou uma chamada a ReallocMem aps a remoo do FastMM.';
  InvalidAllocMemMsg = 'FastMM detectou uma chamada a ReallocMem aps a remoo do FastMM.';
{$endif}

implementation

end.

